org.apache.ignite.internal.processors.diagnostic

## Class PageHistoryDiagnoster

- java.lang.Object
- - org.apache.ignite.internal.processors.diagnostic.PageHistoryDiagnoster

    public class PageHistoryDiagnoster
    extends Object

Diagnostic WAL page history.

### Nested Class Summary

Nested Classes
`static class` `PageHistoryDiagnoster.DiagnosticPageBuilder` Parameters for diagnostic pages.

### Field Summary

Fields
`protected GridKernalContext` `ctx` Kernal context.
`protected IgniteLogger` `log` Diagnostic logger.

### Constructor Summary

Constructors
Constructor and Description
`PageHistoryDiagnoster(GridKernalContext ctx, BiFunction<File,DiagnosticProcessor.DiagnosticFileWriteMode,File> supplier)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dumpPageHistory(PageHistoryDiagnoster.DiagnosticPageBuilder builder)` Dump all history caches of given page.
`void` `onStart()` Do action on start.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ctx

    @GridToStringExclude
    protected final GridKernalContext ctx

Kernal context.

#### log

    @GridToStringExclude
    protected final IgniteLogger log

Diagnostic logger.

### Constructor Detail

#### PageHistoryDiagnoster

    public PageHistoryDiagnoster(GridKernalContext ctx,
                                 BiFunction<File,DiagnosticProcessor.DiagnosticFileWriteMode,File> supplier)

Parameters:
  `ctx` - Kernal context.
  `supplier` - Function to provide target end file to store diagnostic info.

### Method Detail

#### onStart

    public void onStart()

Do action on start.

#### dumpPageHistory

    public void dumpPageHistory(@NotNull
                                PageHistoryDiagnoster.DiagnosticPageBuilder builder)
                         throws IgniteCheckedException

Dump all history caches of given page.

Parameters:
  `builder` - Parameters of dumping.
Throws:
  `IgniteCheckedException` - If scanning was failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020